Get a provenance row

View as Markdown

Returns one field-level provenance row by its surrogate id, in the same shape the provenance history list returns.

Authentication

AuthorizationBearer

User bearer token: Supabase or Clerk session JWT, Clerk OAuth access token, or Clerk personal API key

OR
X-API-Keystring

Admin API key for system-to-system write operations

OR
X-Client-Secretstring

Client secret for read-only service-to-service access (no writes)

Path parameters

provenanceIdlongRequired
Provenance row surrogate id

Response

OK
changeslist of objects
effectiveAtdatetime
eventIdstringformat: "uuid"
idlong
operationenum
Write operation captured by a provenance event row
recordIdstring
sourceobject
Write provenance supplied on mutation query parameters.
statusenum

Confidence and dispute state of a field-level provenance row

tableNameenum

Domain resource whose field-level provenance is tracked

actorobject or nullOptional
Authenticated actor that authored a provenance write event
changedBystring or nullOptional
entityIdstring or nullOptionalformat: "uuid"
personIdstring or nullOptionalformat: "uuid"

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error